com.unitech.stuhfl

## Class STUHFL_T_Gen2_Lock

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Gen2_Lock
  - - com.unitech.stuhfl.STUHFL_T_Gen2_Lock

-     public class STUHFL_T_Gen2_Lock
      extends BR_Gen2_Lock

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Gen2_Lock

      `BR_Gen2_Lock.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte[]` | `mask`
    `byte[]` | `pwd` < I Param: Mask and actions field.
    `short` | `tagReply` < I Param: Password.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_Gen2_Lock()`
    `STUHFL_T_Gen2_Lock(byte[] mask, byte[] pwd, short tagReply)`
    `STUHFL_T_Gen2_Lock(STUHFL_T_Gen2_Lock other)` < O Param: Tag reply.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `execute()` Perform Gen2 Lock command to lock transponders
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Gen2_Lock

      `_Exec`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mask

          public byte[] mask

    - #### pwd

          public byte[] pwd

      < I Param: Mask and actions field.

    - #### tagReply

          public short tagReply

      < I Param: Password.

  - ### Constructor Detail

    - #### STUHFL_T_Gen2_Lock

          public STUHFL_T_Gen2_Lock(STUHFL_T_Gen2_Lock other)

      < O Param: Tag reply.

    - #### STUHFL_T_Gen2_Lock

          public STUHFL_T_Gen2_Lock(byte[] mask,
                                    byte[] pwd,
                                    short tagReply)

    - #### STUHFL_T_Gen2_Lock

          public STUHFL_T_Gen2_Lock()

  - ### Method Detail

    - #### execute

          public STUHFL_E.RET_CODE execute()

      Perform Gen2 Lock command to lock transponders
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`